Only in u-boot-1.1.6-modified/board/mx1ads: syncflash.c.modified
Only in u-boot-1.1.6-modified/board/mx1ads: syncflash.c.original
diff -r -C 3 u-boot-1.1.6/common/Makefile u-boot-1.1.6-modified/common/Makefile
*** u-boot-1.1.6/common/Makefile	Thu Nov  2 15:15:01 2006
--- u-boot-1.1.6-modified/common/Makefile	Mon Mar 24 22:17:30 2008
***************
*** 40,46 ****
  	  cmd_nand.o cmd_net.o cmd_nvedit.o \
  	  cmd_pci.o cmd_pcmcia.o cmd_portio.o \
  	  cmd_reginfo.o cmd_reiser.o cmd_scsi.o cmd_spi.o cmd_universe.o \
! 	  cmd_usb.o cmd_vfd.o \
  	  command.o console.o devices.o dlmalloc.o docecc.o \
  	  environment.o env_common.o \
  	  env_nand.o env_dataflash.o env_flash.o env_eeprom.o \
--- 40,46 ----
  	  cmd_nand.o cmd_net.o cmd_nvedit.o \
  	  cmd_pci.o cmd_pcmcia.o cmd_portio.o \
  	  cmd_reginfo.o cmd_reiser.o cmd_scsi.o cmd_spi.o cmd_universe.o \
! 	  cmd_usb.o cmd_vfd.o cmd_probe.o \
  	  command.o console.o devices.o dlmalloc.o docecc.o \
  	  environment.o env_common.o \
  	  env_nand.o env_dataflash.o env_flash.o env_eeprom.o \
diff -r -C 3 u-boot-1.1.6/common/cmd_bootm.c u-boot-1.1.6-modified/common/cmd_bootm.c
*** u-boot-1.1.6/common/cmd_bootm.c	Thu Nov  2 15:15:01 2006
--- u-boot-1.1.6-modified/common/cmd_bootm.c	Wed Sep 19 21:15:16 2007
***************
*** 467,479 ****
   	"[addr [arg ...]]\n    - boot application image stored in memory\n"
   	"\tpassing arguments 'arg ...'; when booting a Linux kernel,\n"
   	"\t'arg' can be the address of an initrd image\n"
! #ifdef CONFIG_OF_FLAT_TREE
  	"\tWhen booting a Linux kernel which requires a flat device-tree\n"
  	"\ta third argument is required which is the address of the of the\n"
  	"\tdevice-tree blob. To boot that kernel without an initrd image,\n"
  	"\tuse a '-' for the second argument. If you do not pass a third\n"
  	"\ta bd_info struct will be passed instead\n"
! #endif
  );
  
  #ifdef CONFIG_SILENT_CONSOLE
--- 467,479 ----
   	"[addr [arg ...]]\n    - boot application image stored in memory\n"
   	"\tpassing arguments 'arg ...'; when booting a Linux kernel,\n"
   	"\t'arg' can be the address of an initrd image\n"
! /*#ifdef CONFIG_OF_FLAT_TREE
  	"\tWhen booting a Linux kernel which requires a flat device-tree\n"
  	"\ta third argument is required which is the address of the of the\n"
  	"\tdevice-tree blob. To boot that kernel without an initrd image,\n"
  	"\tuse a '-' for the second argument. If you do not pass a third\n"
  	"\ta bd_info struct will be passed instead\n"
! #endif*/
  );
  
  #ifdef CONFIG_SILENT_CONSOLE
Only in u-boot-1.1.6-modified/common: cmd_probe.c
diff -r -C 3 u-boot-1.1.6/cpu/arm920t/start.S u-boot-1.1.6-modified/cpu/arm920t/start.S
*** u-boot-1.1.6/cpu/arm920t/start.S	Thu Nov  2 15:15:01 2006
--- u-boot-1.1.6-modified/cpu/arm920t/start.S	Mon Mar 24 21:54:35 2008
***************
*** 31,36 ****
--- 31,64 ----
  
  /*
   *************************************************************************
+  * My personal execution debug
+  *************************************************************************
+  */
+ 
+ /* #define CFG_PROBES		1	*/
+ 
+ 
+ #ifdef CFG_PROBES
+ .equ	GPIO,	0x0021c000			@ GPIO base address
+ .equ	PORTA,	0x00000000			@ PORT A offset
+ .equ	PORTB,	0x00000100			@ PORT B offset
+ .equ	PORTC,	0x00000200			@ PORT C offset
+ .equ	PORTD,	0x00000300			@ PORT D offset
+ .equ	DDIR,	0x00000000			@ DDIR offset
+ .equ	OCR1,	0x00000004			@ OCR1 offset
+ .equ	OCR2,	0x00000008			@ OCR2 offset
+ .equ	DR,	0x0000001c			@ DR offset
+ .equ	GIUS,	0x00000020			@ GIUS offset
+ .equ	SSR,	0x00000024			@ SSR offset
+ 
+ 
+ .globl	Probe1Off,Probe1On,Probe2Off,Probe2On,Probe3Off,Probe3On
+ .globl	Probe4Off,Probe4On,Probe5Off,Probe5On,Probe6Off,Probe6On
+ #endif 
+ 
+ 
+ /*
+  *************************************************************************
   *
   * Jump vector table as in table 3.1 in [1]
   *
***************
*** 116,121 ****
--- 144,183 ----
  	orr	r0,r0,#0xd3
  	msr	cpsr,r0
  
+ #ifdef CFG_PROBES
+ @ Imposta il controllo delle linee di I/O nel GPIO e setta il loro stato
+ @ iniziale (alto).
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	r0 viene perso
+ @ 		r1 viene perso
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+GIUS]		@ in r0 GIUS value
+ 		orr r0,r0,#0x000fc000		@ get control of probes
+ 		str r0,[r1,#PORTB+GIUS]		@ update GIUS
+ 		ldr r0,[r1,#PORTB+OCR1]		@ in r0 OCR1 value
+ 		orr r0,r0,#0xf0000000		@ lines bind to GPIO
+ 		str r0,[r1,#PORTB+OCR1]		@ update OCR1
+ 		ldr r0,[r1,#PORTB+OCR2]		@ in r0 OCR2 value
+ 		orr r0,r0,#0x000000ff		@ lines bind to GPIO
+ 		str r0,[r1,#PORTB+OCR2]		@ update OCR2
+ 		ldr r0,[r1,#PORTB+DDIR]		@ in r0 DDIR value
+ 		orr r0,r0,#0x000fc000		@ set probes as output
+ 		str r0,[r1,#PORTB+DDIR]		@ update DDIR
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x000fc000		@ set all probes to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 
+ @@ Abbassa il probe 1.
+ @@ Per chiamare:	nessun parametro in ingresso
+ @@ In uscita:	r0 viene perso
+ @@ 		r1 viene perso
+ @		mov r1,#GPIO			@ punta r1 al GPIO
+ @		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ @		bic r0,r0,#0x00004000		@ set probe 1 to 0
+ @		str r0,[r1,#PORTB+DR]		@ update DR
+ #endif
+ 
+ 
  /* turn off the watchdog */
  #if defined(CONFIG_S3C2400)
  # define pWTCON		0x15300000
***************
*** 223,228 ****
--- 285,455 ----
  	ldr	pc, _start_armboot
  
  _start_armboot:	.word start_armboot
+ 
+ 
+ /*
+  *************************************************************************
+  * My personal execution debug probes
+  *************************************************************************
+  */
+ 
+ #ifdef CFG_PROBES
+ Probe1Off:
+ @ Abbassa il probe 1.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00004000		@ set probe 1 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe1On:
+ @ Alza il probe 1.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00004000		@ set probe 1 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe2Off:
+ @ Abbassa il probe 2.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00040000		@ set probe 2 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe2On:
+ @ Alza il probe 2.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00040000		@ set probe 2 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe3Off:
+ @ Abbassa il probe 3.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00080000		@ set probe 3 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe3On:
+ @ Alza il probe 3.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00080000		@ set probe 3 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe4Off:
+ @ Abbassa il probe 4.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00008000		@ set probe 4 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe4On:
+ @ Alza il probe 4.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00008000		@ set probe 4 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe5Off:
+ @ Abbassa il probe 5.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00010000		@ set probe 5 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe5On:
+ @ Alza il probe 5.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00010000		@ set probe 5 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe6Off:
+ @ Abbassa il probe 6.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		bic r0,r0,#0x00020000		@ set probe 6 to 0
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ 
+ Probe6On:
+ @ Alza il probe 6.
+ @ Per chiamare:	nessun parametro in ingresso
+ @ In uscita:	tutti i registri vengono conservati
+ 		stmfd r13!,{r1,lr}		@ salva r1, r14 sullo stack
+ 		mov r1,#GPIO			@ punta r1 al GPIO
+ 		ldr r0,[r1,#PORTB+DR]		@ in r0 DR value
+ 		orr r0,r0,#0x00020000		@ set probe 6 to 1
+ 		str r0,[r1,#PORTB+DR]		@ update DR
+ 		mov r0,#0x00			@ return(0)
+ 		ldmfd r13!,{r1,pc}		@ recupera r1 e termina
+ 
+ #endif
  
  
  /*
diff -r -C 3 u-boot-1.1.6/include/configs/mx1ads.h u-boot-1.1.6-modified/include/configs/mx1ads.h
*** u-boot-1.1.6/include/configs/mx1ads.h	Thu Nov  2 15:15:01 2006
--- u-boot-1.1.6-modified/include/configs/mx1ads.h	Mon Mar 24 21:40:33 2008
***************
*** 32,56 ****
   * High Level Configuration Options
   * (easy to change)
   */
! #define CONFIG_ARM920T		1	/* This is an ARM920T Core		*/
! #define CONFIG_IMX		1	/* It's a Motorola MC9328 SoC		*/
! #define CONFIG_MX1ADS		1	/* on a Motorola MX1ADS Board		*/
! #undef CONFIG_USE_IRQ			/* we don't need IRQ/FIQ stuff		*/
  
  /*
   * Select serial console configuration
!   */
! #define CONFIG_IMX_SERIAL1		/* internal uart 1 */
! /* #define _CONFIG_UART2 */		/* internal uart 2 */
! /* #define CONFIG_SILENT_CONSOLE */	/* use this to disable output */
  
  #define BOARD_LATE_INIT		1
  #define USE_920T_MMU		1
  
  #if 0
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N		*/
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N		*/
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N		*/
  #endif
  
  /*
--- 32,64 ----
   * High Level Configuration Options
   * (easy to change)
   */
! #define CONFIG_ARM920T		1	/* This is an ARM920T Core	*/
! #define CONFIG_IMX		1	/* It's a Motorola MC9328 SoC	*/
! #define CONFIG_MX1ADS		1	/* on a Motorola MX1ADS Board	*/
! #undef CONFIG_USE_IRQ			/* we don't need IRQ/FIQ stuff	*/
! 
! /*
!  * Special settings
!  */
! #define CONFIG_SKIP_LOWLEVEL_INIT	1
! #define CONFIG_SKIP_RELOCATE_UBOOT	1
! #define CFG_PROBES		1
! #define CFG_CMD_PROBES		1
  
  /*
   * Select serial console configuration
!  */
! #define CONFIG_IMX_SERIAL1	1	/* internal uart 1		*/
! /* #define _CONFIG_UART2 */		/* internal uart 2 		*/
! #undef CONFIG_SILENT_CONSOLE		/* use this to disable output 	*/
  
  #define BOARD_LATE_INIT		1
  #define USE_920T_MMU		1
  
  #if 0
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N	*/
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N	*/
! #define CFG_MX1_GPCR		0x000003AB	/* for MX1ADS 0L44N	*/
  #endif
  
  /*
***************
*** 65,130 ****
  /*
   *  CS8900 Ethernet drivers
   */
! #define CONFIG_DRIVER_CS8900	1	/* we have a CS8900 on-board */
! #define CS8900_BASE		0x15000300
! #define CS8900_BUS16		1	/* the Linux driver does accesses as shorts */
  
  /*
   * select serial console configuration
   */
  
! /* #define CONFIG_UART1			*/
  /* #define CONFIG_UART2		1	*/
  
! #define CONFIG_BAUDRATE		115200
  
  /***********************************************************
   * Command definition
   ***********************************************************/
  
! #define CONFIG_COMMANDS \
! 			(CONFIG_CMD_DFL	 | \
! 			CFG_CMD_CACHE	 | \
! 			CFG_CMD_REGINFO	 | \
! 			CFG_CMD_ELF)
  
  /* this must be included AFTER the definition of CONFIG_COMMANDS (if any) */
  #include <cmd_confdefs.h>
  
! #define CONFIG_BOOTDELAY	3
! #define CONFIG_BOOTARGS		"root=/dev/msdk mem=48M"
! #define CONFIG_BOOTFILE		"mx1ads"
! #define CONFIG_BOOTCOMMAND	"tftp; bootm"
  
  #if (CONFIG_COMMANDS & CFG_CMD_KGDB)
! #define CONFIG_KGDB_BAUDRATE	115200		/* speed to run kgdb serial port */
! 						/* what's this ? it's not used anywhere */
! #define CONFIG_KGDB_SER_INDEX	1		/* which serial port to use */
  #endif
  
  /*
   * Miscellaneous configurable options
   */
  
! #define CFG_HUSH_PARSER		1
  #define CFG_PROMPT_HUSH_PS2	"> "
  
! #define CFG_LONGHELP				/* undef to save memory		*/
  
! #ifdef CFG_HUSH_PARSER
! #define CFG_PROMPT		"MX1ADS$ "	/* Monitor Command Prompt */
! #else
! #define CFG_PROMPT		"MX1ADS=> "	/* Monitor Command Prompt */
! #endif
  
! #define CFG_CBSIZE		256		/* Console I/O Buffer Size	*/
  #define CFG_PBSIZE		(CFG_CBSIZE+sizeof(CFG_PROMPT)+16)
  						/* Print Buffer Size */
  #define CFG_MAXARGS		16		/* max number of command args	*/
! #define CFG_BARGSIZE		CFG_CBSIZE	/* Boot Argument Buffer Size	*/
  
! #define CFG_MEMTEST_START	0x09000000	/* memtest works on	*/
! #define CFG_MEMTEST_END		0x0AF00000	/* 63 MB in DRAM	*/
  
  #undef	CFG_CLKS_IN_HZ				/* everything, incl board info, in Hz */
  #define CFG_LOAD_ADDR		0x08800000	/* default load address */
--- 73,142 ----
  /*
   *  CS8900 Ethernet drivers
   */
! /* #define CONFIG_DRIVER_CS8900	1 */	/* we have a CS8900 on-board */
! /* #define CS8900_BASE		0x15000300 */
! /* #define CS8900_BUS16		1 */	/* the Linux driver does accesses as shorts */
! #undef CONFIG_DRIVER_CS8900
  
  /*
   * select serial console configuration
   */
  
! #define	_CONFIG_UART1		1	/* internal uart 1		*/
! #undef	_CONFIG_UART2			/* internal uart 2		*/
! #undef	_CONFIG_UART3			/* internal uart 3		*/
! #undef	_CONFIG_UART4			/* internal uart 4		*/
! #define	CONFIG_UART1_CONSOLE	1	/* uart to use as console	*/
! #undef	CONFIG_SILENT_CONSOLE		/* use this to disable otuput	*/
! #define	CONFIG_UART1		1	/* internal uart 1		*/
  /* #define CONFIG_UART2		1	*/
  
! #define CONFIG_BAUDRATE		19200	/* console baudrate		*/
  
  /***********************************************************
   * Command definition
   ***********************************************************/
  
! #define CONFIG_COMMANDS		(CONFIG_CMD_DFL & \
! 					~CFG_CMD_NET & ~CFG_CMD_CDP & \
! 					~CFG_CMD_DHCP & ~CFG_CMD_DTT & \
! 					~CFG_CMD_FDC & ~CFG_CMD_FDOS & \
! 					~CFG_CMD_IDE & ~CFG_CMD_PCMCIA & \
! 					~CFG_CMD_PING & ~CFG_CMD_SCSI)
  
  /* this must be included AFTER the definition of CONFIG_COMMANDS (if any) */
  #include <cmd_confdefs.h>
  
! #define CONFIG_BOOTDELAY	-1	/* don't boot			*/
! #define CONFIG_BOOTARGS		"root=/dev/ram0"
! /*#define CONFIG_BOOTFILE		"mx1ads" */
! /*#define CONFIG_BOOTCOMMAND	"tftp; bootm" */
  
  #if (CONFIG_COMMANDS & CFG_CMD_KGDB)
! #define CONFIG_KGDB_BAUDRATE	57600	/* speed to run kgdb serial port */
! 					/* what's this ? it's not used anywhere */
! #define CONFIG_KGDB_SER_INDEX	1	/* which serial port to use */
  #endif
  
  /*
   * Miscellaneous configurable options
   */
  
! #define CFG_HUSH_PARSER		1		/* enable hush parser	*/
  #define CFG_PROMPT_HUSH_PS2	"> "
  
! #define CFG_LONGHELP		1		/* undef to save memory		*/
  
! #define CFG_PROMPT		"MXL$ "		/* Monitor Command Prompt */
  
! #define CFG_CBSIZE		256		/* Console I/O Buffer Size*/
  #define CFG_PBSIZE		(CFG_CBSIZE+sizeof(CFG_PROMPT)+16)
  						/* Print Buffer Size */
  #define CFG_MAXARGS		16		/* max number of command args	*/
! #define CFG_BARGSIZE		CFG_CBSIZE	/* Boot Argument Buffer Size*/
  
! #define CFG_MEMTEST_START	0x08800000	/* memtest works on	*/
! #define CFG_MEMTEST_END		0x08F00000	/* 8 MB in DRAM		*/
  
  #undef	CFG_CLKS_IN_HZ				/* everything, incl board info, in Hz */
  #define CFG_LOAD_ADDR		0x08800000	/* default load address */
***************
*** 150,162 ****
   * Physical Memory Map
   */
  
! #define CONFIG_NR_DRAM_BANKS	1		/* we have 1 bank of SDRAM	*/
! #define PHYS_SDRAM_1		0x08000000	/* SDRAM  on CSD0		*/
! #define PHYS_SDRAM_1_SIZE	0x04000000	/* 64 MB			*/
! 
! #define CFG_MAX_FLASH_BANKS	1		/* 1 bank of SyncFlash		*/
! #define CFG_FLASH_BASE		0x0C000000	/* SyncFlash on CSD1		*/
! #define FLASH_BANK_SIZE		0x01000000	/* 16 MB Total			*/
  
  /*-----------------------------------------------------------------------
   * FLASH and environment organization
--- 162,175 ----
   * Physical Memory Map
   */
  
! #define CONFIG_NR_DRAM_BANKS	1		/* we have 1 bank of SDRAM */
! #define PHYS_SDRAM_1		0x08000000	/* SDRAM  on CSD0	*/
! #define PHYS_SDRAM_1_SIZE	0x01000000	/* 16 MB		*/
! 
! #define CFG_MAX_FLASH_BANKS	1		/* 1 bank of SyncFlash	*/
! /*#define CFG_FLASH_BASE	0x0C000000*/	/* SyncFlash on CSD1	*/
! #define CFG_FLASH_BASE		0x10000000	/* SyncFlash on CS0	*/
! #define FLASH_BANK_SIZE		0x01000000	/* 16 MB Total		*/
  
  /*-----------------------------------------------------------------------
   * FLASH and environment organization
diff -r -C 3 u-boot-1.1.6/lib_arm/board.c u-boot-1.1.6-modified/lib_arm/board.c
*** u-boot-1.1.6/lib_arm/board.c	Thu Nov  2 15:15:01 2006
--- u-boot-1.1.6-modified/lib_arm/board.c	Sun Mar 23 23:26:32 2008
***************
*** 45,50 ****
--- 45,66 ----
  #include <version.h>
  #include <net.h>
  
+ 
+ /*
+  * my personal debug probes
+  */
+ 
+ /* #define H_PROBES */
+ 
+ #ifdef H_PROBES
+   void Probe2(void);
+   void Probe3(void);
+   void Probe4(void);
+   void Probe5(void);
+   void Probe6(void);
+ #endif
+ 
+ 
  #ifdef CONFIG_DRIVER_SMC91111
  #include "../drivers/smc91111.h"
  #endif
***************
*** 393,398 ****
--- 409,419 ----
  #endif
  	eth_initialize(gd->bd);
  #endif
+ 
+ #ifdef H_PROBES
+ 	Probe6();		/* debug probe */
+ #endif
+ 
  	/* main_loop() can return to retry autoboot, if so just run it again. */
  	for (;;) {
  		main_loop ();
